Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002938TestLinkNew Featurepublic2009-11-05 20:282010-05-01 20:33
ReporterNiflheim 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 Beta 2 
Summary0002938: Save execution and next in test case execution
Descriptionwhen we complete a test case execution we have to manually click the next test case from the test case tree
it would be nice if next to Save execution button there will be another button
Save execution and next
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserfirefox 3.5.4
PHP Version5.3.0
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0008215)
fman (administrator)
2009-11-05 23:06

is not as simple as seems, because there is some info that you can ONLY ADD after test execution, example (may be only info) BUG ID.
Then in a situation like this you need to return to executed test case.

May be s new sav button need to be add 'Save and Go Head"
(0008223)
Niflheim (reporter)
2009-11-06 01:01

Save and Go Ahead is it then :D . it will help testers do go faster trough test cases (instead of clicking in the tree)
(0008238)
mhavlat (reporter)
2009-11-09 01:22

Good idea.
Maybe check-box can do the job instead of another save button.
(0008243)
Niflheim (reporter)
2009-11-09 16:20

Yeah, a check-box is also ok, something like check here if you want to go automatically to go to the next test case when you click save
Any option is ok (check-box, button) as long as it does the thing :D
(0008277)
fman (administrator)
2009-11-12 14:39

Feature limits:
1. you will do to next test case ON SAME TEST SUITE, when you reach last test case, you will remain on this test case.

2. tree colors regarding exexution will not be updated while execute and go, and only test case hilited on tree will be test case you have first click on before starting your exec and go sequence.

IMHO these two are not great caveats.

- Issue History
Date Modified Username Field Change
2009-11-05 20:28 Niflheim New Issue
2009-11-05 20:28 Niflheim Browser => firefox 3.5.4
2009-11-05 20:28 Niflheim PHP Version => 5.3.0
2009-11-05 23:06 fman Note Added: 0008215
2009-11-06 01:01 Niflheim Note Added: 0008223
2009-11-09 01:22 mhavlat Note Added: 0008238
2009-11-09 01:22 mhavlat Severity minor => feature request
2009-11-09 01:22 mhavlat Status new => acknowledged
2009-11-09 16:20 Niflheim Note Added: 0008243
2009-11-12 14:39 fman Note Added: 0008277
2009-11-12 14:39 fman Status acknowledged => resolved
2009-11-12 14:39 fman Fixed in Version => 1.9 (DEV)
2009-11-12 14:39 fman Resolution open => fixed
2009-11-12 14:39 fman Assigned To => fman
2010-05-01 20:33 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker